Subject: RE: draft-raggarwa-rsvpte-pw-01.txt

From: [email-masked]
Date: Thu, 24 Mar 2005 14:57:44 -0000

Colleagues,

I would support this draft (draft-raggarwa-rsvpte-pw-01.txt) becoming a WG draft because as an operator I would like a common set of control protocols across my connection orientated networks (at least one instance of each control protocol per layer network) in order to ultimately reduce my opex.

Couple of comments/observations:
>From what I can tell only 2 or 3 service providers/operators have expressed an opinion and most of the opinions expressed have been from two companies (one for and one against).  I would like to see more operator input & opinion on this draft, especially by the other operators that participated in producing the MS-PW requirements draft (FT, AT&T, Verizon) as I presume those are the operators with the most interest in MS-PWs at the moment.

Also, I've found the LDP Vs RSVP argument for PW setup interesting, but I think it somewhat misses the point, when MPLS signalling was being done it seemed perfectly acceptable to have a signalling protocol for cl-ps MPLS (LDP) and a signalling protocol for co-ps MPLS (RSVP-TE).  Now that PWs are moving from a simple layer network adaptation (SS-PW) into a full layer network in themselves (MS-PW) it does not logically follow that the protocol used to signal session associations between two end points is necessarily the most appropriate one to use to signal a trail association across multiple link connections.  Therefore I believe the WG shouldn't just assume 'we have LDP already, let's re-use that' but should assess both LDP & RSVP and then make an informed (and impartial if possible) choice as to which is the most appropriate.

Finally, given the moves I see in the CCAMP & MPLS WGs on MPLS->GMPLS migration, then considering the use of RSVP for MS-PW signalling makes sense to me, as one of the key benefits to an operator of deploying a GMPLS control plane is the ability to take that control plane out of band with respect to the traffic data plane.  (GMPLS) RSVP-TE supports this, LDP (to my knowledge) does not.  As a full service operator I would like the option to take all (or just some subset at my discretion) of my control/management planes out of band.  By not considering RSVP as a possible solution I am left in the situation where my "MPLS transport network" can have an out of band control/management plane but my "MPLS service network" (aka MS-PWs) can not support an out of band control/management network.

Ben

-- 
Ben Niven-Jenkins
Networking Specialist, BT Exact

e-mail: [email-masked]
tel: +44(0) 1473 648225
mob: +44(0) 7918 077205

pp34/161 B81 Callisto House, Adastral Park, Martlesham, Ipswich IP5 3RE, UK